v0.3p
====================================================================================
- fix: gun inaccuracies not decaying over time


v0.3o / v0.1h ++
====================================================================================
- fix: serverside only for OSP and OSP++ repaired


v0.3n / v0.1g ++
====================================================================================
- chg: stats and statsall now work for the other team, except when g_dowarmup is set to 2
- chg: sub command only available when g_dowarmup is set to 2
- fix: obituaries messed up
- fix: admin votes now pass and fail appropriately


v0.3m / v0.1f ++
====================================================================================
- add: added 32-bit CRC check on the files "sof2.wpn", "sof2.ammo" and "sof2.inview" to alert 
       players that weapons script files have been modified on the server they are
       connecting to, this appears at the bottom of the loading screen, and can also
       be verified ingame by typing /settings
       Note: will basically tell you if you're on a real damage server, or if the 
       files have just been modified by the server admin
- add: admin can now call votes with the /adm "callvote" command, the vote if it passes
       will have no effect but is useful to poll the players
- add: "sub" command, prevents spawning for subs, players can type "sub" to set themselves
       as subs, and type it again to reactivate themselves
- add: check if some files are modified on the server and warn the player, like sof2.wpn for
       instance, lets players know when they connect to a server that has been tinkered with
       (like real damage)
- chg: stats and statsall will no longer work with players on the opposing team       
- fix: scoreboard glitch in ctf (extra line at the bottom)       
       

*** PLUSPLUS ***
- chg: sig rof slowed down by 65ms instead of 80ms
- chg: sig recoil lowered to 2.9 from 3
- chg: sig zoomed recoil lowered from 2.5 to 2.45
- chg: increased m590 damage to 30 per pellet from 25
- chg: increased m590 spread to 1.75 from 1.5
- chg: lowered m590 inaccuracy to 0.025
- chg: lowered m590 max inaccuracy to 0.125
- chg: increased USAS damage to 25 per pellet from 20
- chg: increased USAS spread to 2.0 from 1.75
- chg: lowered USAS inaccuracy to 0.05
- chg: lowered USAS max inaccuracy to 0.25
- fix: backpack not autoreload m203 
        

v0.3k / v0.1d ++
====================================================================================
- add: added bbq command to UI
- fix: fixed alternate spawn points so you don't "fall" when you spawn
- add: extended the map vote/command so you can now specify an alternate version number and
       a gametype, i.e.: "/callvote map mp_finca 1 ctf" would load mp_finca's ctf alternate #1


v0.3j / v0.1c ++
====================================================================================
- add: alternate map entities support, in the data folders are enclosed files that will
       g_alternateMap 0 is disabled, any number is enabled
       load alternate placement for objects, and even allow you to enable support for gametypes
       in maps where it wasnt enabled before, inf on pra1? ctf on finca? no problems here
       the file format must be studied to be understood, i will not explain it here
       the file naming is alt[g_alternateMap#]_[map name]_[gametype name].cfg
       ie: alt1_mp_finca_inf.cfg will load when g_alternateMap is set to 1,
       NOTE: the file must be present, if it isnt then the alternate loading will be
       disabled, duh...
       Included are versions that have been worked on by myself and ziggurat, and are pretty
       sure to satisfy most of you, of course you're free to create your own!
- add: new admin command showex will show the extraction point to every player on the server
       useful for servers running new alternate maps (only in inf)
- add: new user command showex will show you the extraction point in the current inf map
- chg: changed competition critical cvars to latched mode, where you need a map_restart 
       to change them, changed cvars are
       * g_backpackrespawn
       * g_respawnInterval
       * g_respawnInvulnerability
       * g_forceFollow
       * g_followEnemy
- chg: grenades award now counts m203 kills too
- chg: admin chat now works even if admin powers are suspended       
- add: admin chat and talk shortcuts through standart messagemodes, simply type the code
       before your chat line to send the admin messages
       /at <yourmessage> (same as /adm talk in console)
       /ac <yourmessage> (same as /adm chat in console)
- fix: overflow warning when score would go over 99
- fix: status bar would sometimes disappear (like in warmup)
- fix: fov now stays forced at 90 during the award ceremony, like the intermission (client only)


v0.3i / v0.1b ++
====================================================================================
- fix: fixed intermission awards serverside
- fix: fixed inactivity kicking during the intermission awards
- fix: bbq on someone who is dead would cause problems


v0.3h / v0.1a ++
====================================================================================
- add: intermission awards for 7 categories (kills,headshots,grenades,knives,ratio,
       skill,damage), enable/disable with g_awards cvar
- fix: prevent cvarcheck on cvars that contain the word password
- fix: intermission scoreboard wasnt displaying correct information
- add: new admin command bbq, burn someone on your bbq! 
- add: logging dropping of gametype items like flags, briefcase, who killed the gametype
       item carrier, also appended wether the two players were on the same team or not
- add: logging, kill now appends the hitlocation (refer to the code to know which is which) 
       to the kill log line (for example, head is = 1024), also appened wether the two players
       were on the same team or not
- add: new vote, pistolsonly: the next round in round gametypes will be played using only pistols
- add: new vote, knivesonly: the next round in round gametypes will be played using only knives
- chg: briefcase icon in simplehud now just changes sides when picked up (instead
       of drawing the X and ? versions)
- fix: afk time in kick votes should now work correctly

              
*** PLUSPLUS ***
- fix: fixed impact prediction for shotguns
- chg: melee range boost to account for model based hit detection increased
       from 1.15 to 1.25 (this should make knifing/melee easier)
- chg: USAS damage increased to 20 per pellet instead of 15 (only applies on regular damage servers)
- chg: SIG innacuracy while zoomed increased from 0.1 to 0.13
       SIG recoil changed to 3 so its now on par with m4 and ak
       SIG recoil while zoomed lowered to 2.5 
       SIG rate of fire slowed down by 80 milliseconds while zoomed
       Can now run while zoomed in.
- chg: m590 max inaccuracy lowered to 0.25 from 0.5
- chg: USAS max inaccuracy lowered to 0.5 from 0.75



v0.3g
====================================================================================
*** ENHANCED MODE FIXES/CHANGES ***
- chg: shotguns and projectiles now hit a slightly scaled model of the player to increase
       hit probability, the scale factor is 1.1 for shotguns and 1.2 for projectiles
- chg: shotgun innacuracy has been drastically reduced
       M590_INACCURACY      0.0f
       M590_MAXINACCURACY   0.5f
       M590_SPREAD          1.5f
       USAS_INACCURACY      0.05f
       USAS_MAXINACCURACY   0.75f
       USAS_SPREAD          1.75f
- fix: losing knives when shooting m203 in enhanced mode (yikes!)
- fix: picking up a backpack while having an m203 waiting for a reload wouldnt give 2 
       m203s back
- fix: picking up m203's while waiting for reload       
*** OTHER CHANGES ****
- fix: flickering gametype items on scoreboard (briecase,flags,bomb)
- fix: spectator line drawing one too many lines
- chg: changed team info interval from 1 second to 2.5 
- fix: client was asking for osp scores on unpure older versions, or servers with client disabled
- fix: fixed cvarcheck command, added delay on client before sending info to avoid command flood
- add: added version check to loading screen, will now warn if server is running a different 
       version, either older or newer       
       

v0.3f
====================================================================================
*** IMPORTANT CHANGES ***
- add: sv_ospClient cvar (defaults to 1) make it 0 and delete the osp-clientside-0.3*-BETA.pk3
       file from your server to run a true serverside only OSP server with the 0.3 version of OSP
- fix: profiled much of the sof2 code and found out where it was having a hard time, so I
       optimized some function calls that were cpu hungry       
- add: g_enhancedBugFixes (defaults to 0), temporary CVar to enable the new bug fixes and the
       enhancements they require in order for them to be balanced
       NOTE: this cvar lets you be able to run your server in line with your leagues or ladders, 
       and also lets you test the proposed fixes to Sof2, comments and suggestions will be welcomed
       on http://www.orangesmoothie.org in the Sof2 forums
       
*** CHANGES THAT REQUIRE G_ENHANCEDBUGFIXES TO BE ENABLED ***
- fix: shotguns and melee weapons now hit crouched players (crouch lean bug)
       NOTE: in order to fix this problem some of the shotgun's stats had to be readjusted, the shotgun
       will "feel" different because the hit detection of each pellet is now done like the rifle bullets
       meaning that they have to hit the "real" player model (hence fixing the crouch and leaning no-hits)       
       Also the shotguns will fire innacurately when jumping (like the other weapons)
       M590_INACCURACY      0.0f
       M590_MAXINACCURACY   1.5f
       M590_SPREAD          1.5f
       USAS_INACCURACY      0.5f
       USAS_MAXINACCURACY   2.0f
       USAS_SPREAD          1.75f
- fix: all projectiles now hit leaning players where they should, in default Sof2 all projectiles
       go through someone who is leaning, not anymore
       i.e.: projectiles can now wiz by your head if they dont hit your actual player model, 
       grenades can be thrown between legs instead of bouncing on an invisible wall in front of 
       the player, etc.
- add: client: "osp_useKeyForLadders", option to have to press the use key to grab ladders, 
       disabled by default
- add: m4 rifles's m203 cannon does not reload automatically any longer, you need to press the alternate
       fire button a second time for it to reload
       
*** OTHER CHANGES ****    
- fix: blue team name wasnt updated properly and would become set to nothing  
- add: server browser now shows only OSP servers by default
- add: OSP version info to load screen
- fix: display glitches in scoreboard when displaying alot of players
- add: protection against spawn-telefragging on maps that do not have enough spawn points in inf/elim/dem
- fix: scoreboard sorting dead players last in respawning gametypes
- fix: demolition icons not drawing in demolition gametype
- add: tracer start distance modifier "osp_tracerDistance" default:500 (thanks Kris from mandown)
- chg: cg_tracerChance's maximum upped from 50% to 100% for more tracers if your system can handle it
       (for your own tracers only, enemy tracer chance is still capped at 50%)
- add: referee "chat" command, so that referees can talk to other referees
- fix: removed lowering of the player names on the osp scoreboard in normal respawn gametypes (ctf,dm,tdm)
- add: referee "delegate" command, so that referees can make captains
- fix: made match_fastrestart default to disabled (why was it enabled by default anyways?)
- add: admin command: "cvarcheck", reports the current setting for the specified cvar/player so admins can
       see what settings a certain player has       
- add: new vote "roundrestart", will restart the current round, useful when someone disconnects during a match
       and the game is paused by an admin
- chg: removed the 6th line of the MOTD in order to have a line to inform players about the bug fixes       
- add: "osp_oldConsole", disabled by default, switches the console background to the default sof2 one


v0.3e
====================================================================================
- fix: mac crash resolved!
- fix: scoreboard clients overlapping each other
- fix: team overlay showing bad data (again)
- todo: add client/server mismatch checking


v0.3d
====================================================================================
- fix: minor mess up on my part so i've decided to make a new release to clear 
       everything up, the client pk3 in the server pak wasnt the same as in the client zip
- fix: draw team overlay now limits to the correct amount of players
- fix: team overlay overlapping health in old hud
- fix: scoreboard info was way too long, might be causing the "duplicates" of player #0
       on scoreboard
- fix: too many stats on scoreboard


v0.3c
====================================================================================
- fix: dm and tdm gametypes crashes on load with new hud
- add: old style bar health in new hud, set osp_numericalHealth 1 for numerical values
- fix: team overlay drawing dead players
- chg: overlay and hud backgrounds were too transparent
- chg: team overlay can now be limited to a certain amount of players
- chg: new hud icons not drawn anymore in infiltration, with the old hud
- chg: data display was a bit too dark on the scoreboard
- fix: autorecord and autoscreenshot dont activate even when disabled
- fix: outfitting menu showing disabled weapons
- fix: description file out of date


v0.3a
====================================================================================
- add: alot of things!
- chg: team commands are now only available to the team captain, who is the first 
       person to join the team, or who has been designated by a previous team captain
- add: team command 'delegate', delegate captaincy to a teammate
- add: team command 'invite', invite a spectator to join your locked team
- add: team command 'remove', remove a player from your locked team, or don't specify
       an id to remove everyone from the team
- client: too many things to list, see the OSP options menu from ingame       
       

------------------------------------------------------------------------------------
************************************************************************************
------------------------------------------------------------------------------------


v0.2x
====================================================================================
- fix: don't count team switch as a death on the scoreboard
- add: server now logs admin actions
- fix: dont count teamkill during warmup or setup phase


v0.2w
====================================================================================
- fix: random map voting fixed
- fix: /adm strip while zoomed would make the player blind (really now)
- chg: changed default forcerespawn from 20 to 5, 20 allowed a dead player to stay 
       dead on the ground watching his enemies moving around for way too long
- fix: made match_fastRestart take effect even if a mapcycle is set on the server
- chg: updated the speclocks.cfg file, adding the new 1.03 maps       
- chg: updated config sample, as well as all the comp/pub configs for all gametypes


v0.2v
====================================================================================
- fix: phone bringing back people from the dead!
- chg: sv_enableAdmins is now sv_enableAdminPowers, which will turn off all the admin
       powers instead of disabling admins completely, excluding kick-prevention
- chg: /adm suspend now behaves as if admin powers were disabled on the server instead
       of demoting the admin to referee
- fix: referees weren't getting updated as to speclocking       
- fix: /adm strip while zoomed would make the player blind
- fix: settings vote with no value specified now echo the current setting
- add: added g_warmup to the list of voteable settings
- add: /players now says if an admin's powers are on or off
- add: /addadmin now echos to console
- add: new rcon command, "restart" specify a delay for the restart in seconds as the
       argument (i.e.: restart in 5 seconds would be "restart 5"
- chg: shuffleteams and swapteams now also restart the game
- fix: stats for alternate fire weren't being added up correctly


v0.2u (compatible with SoF2 1.03)
====================================================================================
- fix: weapon disabling was broken, now fixed


v0.2t
====================================================================================
- fix: sv_messageFiltering 2 wasnt preventing the sent message from going out
- fix: messagefiltering would only filter the first occurance of a bad word
- fix: admin extra commands would print text as rcon say "server:"
- fix: phone/slap killing was removing carried items completely, now phone/slap
       doesn't kill anymore
- fix: speclock wouldn't hold through map_restarts
       

v0.2s
====================================================================================
- chg: can now respawn in warmups of all gametypes
- fix: going to intermission if exitrules are satisfied in warmup
- fix: crashbug with osp obituaries
- chg: changed apparence of headshot indicator
- add: new tokens, give nice visual bar formatted health and armor
       #B: Current health in bar format
       #b: Current armor in bar format
- fix: adm strip problems causing asserts in pmove, fixed by setting weapon animation


v0.2r
====================================================================================
- add: cant make msgs with only ^ or ^^
- fix: make follow mode not drop to freefloat when following someone who dies
- add: message filter,needs a map restart to take effect
       add "bad" words to osp_messagefilter.cfg, separate them however you like
       (max filesize is 2k)
       sv_messageFiltering 0 : off
       sv_messageFiltering 1 : replaces bad words with '*'
       sv_messageFiltering 2 : when a bad word is found the message is not printed
- add: new "punish" admin commands
       /adm phone <id#> :hit someone on the head with the phone
       /adm strip <id#> :remove someone's weapons
- fix: #F token was calling the #T token instead of closest teammate
- fix: bug with the tracking of kills in stats fixed
- add: print headshot when you kill someone with a headshot
- fix: adm strip problems, not removing everything
- add: server side obituaries for death messages (adds (HEADSHOT) besides death message)
       g_ospDeathMessages 1 to enable
- add: sv_enableAdmins, defaults to 1, if disabled will prevent any admin behavior on the server
       needs a map_restart to take effect       


v0.2q
====================================================================================
- chg: REMOVED REAL GRENADES AND FIXED SHOTGUN, in order to have OSP be a pure match mod
- add: new cvar match_fastRestart, defaults to 1, if your server is not using a mapcycle
       (sv_mapcycle set to nothing or to "none") when fastrestart is enabled it will only
       restart the game with a map_restart instead of reloading everything once you hit
       the intermission
- add: /adm suspend now plays sounds and prints to center screen as well as console to make
       it more obvious when someone uses it
- chg: admins can now freefloat even if the server has g_forcefollow turned on
- add: new cvar, sv_nolagGlassBreaks, defaults to on, optimizes sending of glass break events
       to the clients, simultaneous glass breaks (within 100 ms) will only be sent if separated
       by at least 500 game units (fixes terrible lag on raven when someone nades the glass entrances)       
- chg: g_voiceTalkingGhosts now has 2 modes, if you set it to 1, dead players wont be able to
       say_team to live teammates, and will only be able to talk globally, if you set it to 2
       they will be able to talk to their live teammates with say_team (good for clans who
       want to play on equal grounds with other clans that use voice comms)
- fix: /tcmd ready wasnt updating people's names to remove not ready colors
- chg: team_nocontrols changed to team_controls, behavior reversed
- add: can now uninvite all invited spectators by typing /tcmd specuninvite with no id# specified
- chg: put the admin's name back on /adm talk since you can see who's an admin from the /players 
       list
- chg: players that become referees by using the password cannot be callvote unreferee-d
- add: added g_dowarmup to callvoteable options, missed it back when i did votes
- chg: g_coloredTeamplayNames now re-enabled, defaults to 0, enable will allow all colors in the name


v0.2p
====================================================================================
- add: added g_radarFix to /settings output
- fix: dont send ready-up message while motd is displayed
- fix: fixed locked and full team messages
- fix: names still colored after /ref ready or /callvote start_match
- fix: ghost players getting blacked out instead of cycled through the rest of their team
- fix: swapping default team names
- fix: ref speclock both teams wasnt working
- chg: match_swap will now try to do a hot restart, to prevent reloading of level after
       scorelimit or timelimit has been reached
- note: g_forcerespawn should be changed to 3 instead of 20, to prevent people from lying dead 
       on the ground and watching the enemy around them, competition configs have been changed
       accordingly
- add: vote string now displays inactivity time so people know if the kick applies to an afk player
- chg: frags not logged during warmup any longer
- fix: g_voteKickBanTime wasnt being used


v0.2o
====================================================================================
- fix: target, damaged and friend fixed


v0.2n
====================================================================================
- fix: small problem with fixed shotgun not being fixed :)
- add: new cvar, g_teamTokensOnly, if turned on will only allow tokens in team say modes
- add: new chat tokens
  #I Current pistol
  #i Current pistol (short)
  #P Current primary weapon
  #p Current primary weapon (short)
  #S Current secondary weapon
  #s Current secondary weapon (short)
  #G Current grenades
  #g Current grenades (short)
  #e Current equipment
- fix: warmup tk not showing blood
- fix: talking ghosts and specs not showing *ghost* and *spec* tags  


v0.2m
====================================================================================
- chg: added final touches to fixedshotgun, previous version had too high innacuracy
- fix: speclock now really speclocks, and doesnt send speclocked players to a dead
       player's POV anymore
- add: team settings are now saved through map changes and restarts
- add: new ref commands, added the team commands to the ref commands, so he can quickly
       set the teams up if they are inexperienced with OSP
- chg: ref can no longer spectate both teams if he is not invited (while speclocked) but
       an admin can, unless he does /adm suspend
- chg: players command now shows you if you're admin or ref in the listing
- fix: fixed some echo-ing of team commands
- fix: fixed the sound effect for locking teams
- add: enabled g_voiceTalkingGhosts cvar, if turned on ghosts and specs will be able to
       chat to live players
       NOTE: this cvar defaults to 1 in regular Sof2 so it might be written down to your
       sof2mp.cfg, make sure to turn it off by setting it to 0
- add: callvote kick now prints the tk % of the kicked player next to his name in the vote
       string
- add: /settings command, now shows a list of server settings
- chg: g_friendlyFire, if you set it to 2, people will be able to TK during warmup
- chg: /players command now shows team the player is on (by the color of his name)


v0.2l
====================================================================================
//looks too much like 1! :)


v0.2k
====================================================================================
- fix: admin and ref settings security hole


v0.2j
====================================================================================
- fix: session data now sticks between gametype changes (i.e.: admin sticks)
- chg: moved default voteable config files to the /configs directory
- fix: added changes from earlier versions to sample config file
- chg: moved speclocks.cfg to "data" dir
- fix: added carriage return after admin change console output
- fix: restart after pause now outputs "go" to console, for personnal logging


v0.2i
====================================================================================
- fix: addadmin not working right away
- fix: extra commands security hole


v0.2h
====================================================================================
- chg: changed g_adminfile to sv_adminfile, default filename is now "osp_admins.cfg"
- add: added sv_refereePassword (defaults to "none") permits users to become referees
       by typing /ref "password" in the console
- add: sv_extracommands default filename is "osp_extracommands.cfg", this file lists commands 
       and cvars that admins can have access to through the /adm command, for example, if 
       you're running PB and you want the admins to be able to ask for screenshots, you
       just have to put the line "pb_sv_getss" in your extracommands.osp file, and then
       admins can do /adm pb_sv_getss #
       NOTE: the commands are case sensitive, so make sure you spell them out correctly


v0.2g
====================================================================================
- chg: optimized the way admins are checked and loaded
- fix: fixed the "blue team" has defended briefcase error
- fix: ref commands not working for admins
- fix: paused warmup now pauses the warmup countdown
- chg: refined colors for colorcoded health and armor tokens


v0.2f
====================================================================================
- fix: fixed say_teamnl
- fix: delayed admin check to prevent lag when there's alot of spectators watching
- chg: team change broadcasting now uses the team names if set
- fix: blue team name doesnt reset anymore
- fix: turning off radarfix in middle of game now resets the broadcasting


v0.2e
====================================================================================
- fix: adm mute now works like it is supposed to
- add: team_maxplayers will determine how many players you can have on each team, a better
       way to limit the number of people playing then g_maxGameClients because you can't have
       teams with more players than half your server limit (for instance)
- add: g_radarFix, if turned on, you will always see your teammate's icons
       (might lag lower end systems because of extra processing, use for matches, or servers
       with less than 16 players)
- add: speclock for matches, specs will be moved outside the map looking down, unable to see 
       any of the players, useful when you dont want the other team's subs following your team
       or watching you in freefloat
- rem: removed OSP debugging, crash seems to have went away
- chg: g_dowarmup 2, now allows players to play some team deathmatch while they wait
       for everybody to be ready, old scoreboard-only setup is gone
       additionnaly the team counts on the HUD will display #ready/#onteam, and the names of the
       players who are not ready will be darkened on the scoreboard
- add: team commands, enabled when team_nocontrols is 0 (default 1)
       /tcmd ? (list team commands)
       /tcmd commands (same as ?)
       /tcmd info (gives info about the people on your team and other team settings)
       /tcmd name (sets your team name for gametype messages)
       /tcmd lock (lock your team so no one can join)
       /tcmd unlock (unlock your team)
       /tcmd speclock (lock your team from spectators, they won't be able to watch you play)
       /tcmd specunlock (unlock your team from spectators, spectating will be allowed)
       /tcmd specinvite #id (allow player with #id to spectate your team while it is speclocked)
       /tcmd specuninvite #id (uninvite player with #id)
       /tcmd timeout (pauses the game for match_timeoutlength seconds)
       /tcmd timein (abort a timeout)
- add: when starting a match in g_dowarmup 2, during the warmup, team names will be displayed
       in <red> vs <blue> fashion
- add: new options for /follow, can now /follow red to cycle only through reds, or /follow blue
       to cycle only through blue
- add: new admin command pause
       /adm pause (will pause the game!)
       /adm unpause (will resume the action)
- add: team cvars:
       
              

v0.2d
====================================================================================
- fix: removed colored names, might crash server, not sure yet
- fix: removed anything that had to do with colored names
- add: added osp function debugging, will log to debug.log, if a crash occurs make sure 
       to mail it to kilderean@threewave.com
- add: g_fixedShotgun, defaults to on (1), fixes accuracy bugs with raven shotgun       
- fix: fixed /ref allready so it works now
- chg: match_swap will not restart anymore, if you don't want to mapcycle you will need 
       to set sv_mapcycle "none"
- fix: match_swap and match_shuffle will not break the server anymore


v0.2
====================================================================================
- fix: fixed demolition, planting bomb close to round timelimit, now round extends
       until bomb is defused
- add: auto stats dump at end of round
- chg: intermission waits 10 seconds minimum instead of 5 seconds
- add: new callvote system, type /callvote ? in console to see a list of the available
       new votes:
       comp (load a set of hardcoded or server defined competition settings for the current gametype,
            create a file named osp_*_comp.cfg with the competitive settings you want, where * is the 
            gametype (ie: dm,inf...)
       pub  (load a set of hardcoded or server defined public settings for the current gametype)
            create a file named osp_*_pub.cfg with the public settings you want, where * is the gametype 
            (ie: dm,inf...)
       referee (give someone referee powers)
       unreferee (remove someone's referee privileges
       shuffleteams (shuffle the teams up)
       swapteams (swap the two teams)
- add: referee system, if allowed referees may now be voted in, they can set anything
       that voting allows, and they also have a few commands available (type /ref)
       /ref talk (talk to everyone on server)
       /ref allready (ready everyone for match to start)
- add: g_coloredTeamplayNames
       set to 0 for no colors
       set to 1 for restricted colors, based on your team color (ie no blue colors in name when on red team)
       set to 2 for unrestricted colors
- add: match cvars
       match_swap 1 : swaps teams once the scorelimit is reached (or timelimit)
- add: competitive match warmup
       g_doWarmup 2 : will show the scoreboard while the players ready up by clicking the attack button, or
       typing /ready in the console, once everybody is ready will switch to warmup and start match
- add: new admin command
       /adm suspend : suspends admin powers (ie: following other team) and commands, except another
       suspend which will reenable the powers, useful if an admin wants to play a competitive match
       /adm mute : mute a player so he cant chat anymore
- add: chat tokens, tokenize your chat strings by replacing special symbols with useful info
       #A : Current armor
       #a : Current armor with colorcoding
       #H : Current health       
       #h : Current health with colorcoding
       #D : Last player to hurt you
       #d : Last player to hurt you with his colored name
       #T : Last player you hurt
       #t : Last player you hurt with his colored name
       #F : Closest teammate
       #F : Closest teammate with colored name
       #l : Your current location
       note: chat tokens only work while you're playing and alive
- add: g_alternateSort, alternate sorting method for client scores, will show different value on scoreboard
       g_alternateSort 0 : default Sof2 score sorting
       g_alternateSort 1 : sort players by their kill/death ratio
       g_alternateSort 2 : sort players by kills per minute 
       

v0.1
====================================================================================
- add: motd through centerprinting 
       (made configurable with server_motd0 thru server_motd5)
       /motd in console to bring it back up
- add: /players command to list players on server, with id# and various info
- add: /stats # command, gives out detailed stats about yourself, or if a client id# 
       is specified, about that player
- add: /statsall gives a quick accuracy perc about everyone on the server, based on
       what weapons they are outfitted with (only for inf and elim)
- add: an alarm goes off to warn you when you're the last player alive on your team
- add: commands system for ingame help, type /? or /commands in console, or type
       /<ospcommand> ? to get help about that command
- add: basic admin system, the admin supersedes the referee
       access the admin commands by using the /adm command
       available admin commands are:
       /adm talk <msg>
       /adm chat <msg>
       /adm kick id# <reason>
       /adm ban id# time# <reason>
       /adm cancelvote
       /adm strike id#
       The server administrator can add admins by going ingame and doing /addadmin id#
       or remove them by doing /removeadmin id#, the admins are determined by their GUID
       keys, so it is essential that punkbuster be running. The admins are held in a text
       file specified by g_adminFile, which defaults to "sof2.admins". You can edit this file
       to add or remove admins.
       NOTE: Admins can also spectate any player, while playing, make sure no admins are playing
       in official matches, thats what referees are for.
- add: g_spectatorInactivity, time in seconds someone can spectate before being booted off
       the server (useful for popular servers that are always full) defaults to off (0)
- add: vote_limit, number of votes someone can cast during a game, defaults to 3, set
       it to 0 to disable it
       vote_percent (default voting percentage needed to have a vote pass) defaults to 50%
- add: g_realGrenades, if turned on (1) will make grenades explose when their timer expires, like
       real grenades do, except for the AN-M14, which will still only explode when it touches the 
       ground
